<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ofrezco.nuevoProducto"
    android:fitsSystemWindows="true"
    android:background="@drawable/fondo">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="20dp"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Nuevo Producto"
            android:textSize="40sp"
            android:textColor="@color/colorBlanco"
            android:gravity="center"
            android:fontFamily="@font/coolvetica"/>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <LinearLayout
                style="@style/layoutText">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textColorHint="@color/colorBlanco">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/inputCod"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Código de Producto"
                        android:inputType="text"
                        android:textColor="@color/colorBlanco">

                    </com.google.android.material.textfield.TextInputEditText>

                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <LinearLayout
                style="@style/layoutText">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textColorHint="@color/colorBlanco">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/inputProducto"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Nombre de Producto"
                        android:inputType="text"
                        android:textColor="@color/colorBlanco">

                    </com.google.android.material.textfield.TextInputEditText>

                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <LinearLayout
                style="@style/layoutText">

                <EditText
                    android:id="@+id/inputDescripcion"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:ems="10"
                    android:hint="Descripcion del producto"
                    android:inputType="textMultiLine"
                    android:textColorHint="@color/colorBlanco"/>

            </LinearLayout>

            <LinearLayout
                style="@style/layoutText">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textColorHint="@color/colorBlanco">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/inputStock"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Stock Actual"
                        android:inputType="number"
                        android:textColor="@color/colorBlanco">

                    </com.google.android.material.textfield.TextInputEditText>

                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center">

                <LinearLayout
                    style="@style/layoutTextMedio">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:textColorHint="@color/colorBlanco">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/inputStockMinimo"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="Stock Mínimo"
                            android:inputType="text"
                            android:textColor="@color/colorBlanco">

                        </com.google.android.material.textfield.TextInputEditText>

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

                <LinearLayout
                    style="@style/layoutTextMedio">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:textColorHint="@color/colorBlanco">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/inputStockMaximo"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="Stock Máximo"
                            android:inputType="text"
                            android:textColor="@color/colorBlanco">

                        </com.google.android.material.textfield.TextInputEditText>

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center">

                <LinearLayout
                    android:layout_width="160dp"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_margin="10dp"
                    android:gravity="center">

                    <Spinner
                        android:id="@+id/spUnidadMedida"
                        android:layout_width="match_parent"
                        android:layout_height="30dp"
                        android:layout_alignParentTop="true"
                        android:layout_centerHorizontal="true"
                        android:entries="@array/unidMedida"
                        android:background="@color/colorBlanco"/>

                </LinearLayout>

                <LinearLayout
                    style="@style/layoutTextMedio">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:textColorHint="@color/colorBlanco">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/inputPrecUnidad"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="Precio por Unidad"
                            android:inputType="number"
                            android:textColor="@color/colorBlanco">

                        </com.google.android.material.textfield.TextInputEditText>

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                style="@style/layoutText">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textColorHint="@color/colorBlanco">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/inputTiempo"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Tiempo de Entrega"
                        android:inputType="text"
                        android:textColor="@color/colorBlanco">

                    </com.google.android.material.textfield.TextInputEditText>

                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <Spinner
                android:id="@+id/spSeccion"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:layout_alignParentTop="true"
                android:layout_centerHorizontal="true"
                android:background="@color/colorBlanco"
                android:tooltipText="Elegir Seccion"/>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:gravity="center"
                android:layout_marginTop="20dp">

                <de.hdodenhof.circleimageview.CircleImageView
                    xmlns:app="http://schemas.android.com/apk/res-auto"
                    android:id="@+id/imgProducto"
                    android:layout_width="match_parent"
                    android:layout_height="150dp"
                    android:src="@drawable/defaulfhombre"
                    app:civ_border_width="2dp"
                    app:civ_border_color="#FFF7F7"/>

            </LinearLayout>inputDescripcion

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center"
                android:layout_marginTop="10dp">
                
                <Button
                    android:id="@+id/Cancelar"
                    android:layout_width="150dp"
                    android:layout_height="match_parent"
                    android:background="@drawable/boton_redondeado"
                    android:backgroundTint="@color/colorNegro"
                    android:text="CANCELAR"
                    android:textColor="@color/colorBlanco"
                    android:textSize="20sp"/>

                <Button
                    android:id="@+id/Aceptar"
                    android:layout_marginLeft="10dp"
                    android:layout_width="150dp"
                    android:layout_height="match_parent"
                    android:background="@drawable/boton_redondeado"
                    android:backgroundTint="@color/colorBlanco"
                    android:text="ACEPTAR"
                    android:textColor="@color/colorNegro"
                    android:textSize="20sp"/>
                
            </LinearLayout>

        </LinearLayout>

        </ScrollView>

    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>